Collect
/- Returns a list of records with the specified batch_id
Returns the default invoice template
Returns the default invoice template
Initiates workflow to warm up inventory transactions
Creates a new invoice record that does not already exist.
Processes an invoice adjustment for the invoice with the specified ID
Processes an invoice adjustment for the invoice with the specified ID
Execute Batch Operations
Returns a list of records with the specified bill_to_contact_id
Returns a list of records with the specified bill_to_organization_id
Emails an HTML version of the invoice
Returns a list of records with the specified number
Returns a list of records with the specified order_id
Returns a list of records with the specified owner
Gets the URL for public payment of the invoice
Gets all of the invoices in the system for a given contact.
Gets the amount of open invoices for a contact
Returns a invoice from the system by its ID for a given contact.
Gets all of the invoices in the system for a given organization.
Gets the amount of open invoices for a organization
Returns a invoice from the system by its ID for a given organization.
Sends out a preview of the CRC notification email
Sends out a preview of the notification template
Generates a PDF and returns the public link for download
Gets Public Invoice information
Finds all legacy invoices with an open balance and regenerates them
Generates a PDF and returns the public link for download
Searches for invoices using predefined parameters
This is a synchronous processing and should be used exclusively. The old way (via step function) is deprecated.
Returns a invoice from the system by its ID.
Returns a invoice from the system by its ID.
Partially updates a invoice with the specified ID.
Updates a invoice with the specified ID.
Returns a list of records...
Returns a list of records with the specified batch_id
Security
knox-authorizer
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/invoices/{tenantId}/batch/{batch_id}
- https://collect.api.rhythmsoftware.comhttps://collect.api.rhythmsoftware.com/invoices/{tenantId}/batch/{batch_id}
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/invoices/{tenantId}/batch/{batch_id}?fields=string&exclusiveStartKey=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
{ "Count": 0, "Items": [ { … } ], "LastEvaluatedKey": "string" }